# Create solution for project

Returns all solutions for a project.

Endpoint: POST /v1/projects/{projectId}/whatsapp/solutions
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Request body:

  - `application/json` (unknown)
    Solution data

## Request fields (application/json):

  - `details` (object, required)
    Solution details and information.

  - `details.name` (string, required)
    The name of the solution.

  - `accessToken` (string, required)
    The accessToken received from the authResponse, returned when completing the embedded solution flow.

  - `businessManager` (string, required)
    Business manager.
    Enum: "SINCH_BR", "SINCH_MX", "SINCH_UK"

## Request examples:

  - `Body request for solution` (unknown)
    Example body request to create a solution.

## Response 201:

  - `201` (unknown)
    Solutions

## Response 201 fields (application/json):

  - `solutions` (array, required)
    List of solutions.

  - `solutions.id` (string, required)
    The unique ID of the solution

  - `solutions.details` (object, required)
    Solution details and information.

  - `solutions.details.name` (string, required)
    The name of the solution.

  - `solutions.partnerApp` (object)
    The Meta App of the Tech Provider.

  - `solutions.partnerApp.id` (number, required)
    The unique ID of the Meta App.

  - `solutions.partnerApp.name` (string, required)
    The name of the Meta App.

  - `solutions.ownerApp` (object)
    The Meta App of the Solution Partner (e.g. Sinch).

  - `solutions.assigned` (boolean, required)
    If project has been assigned to this solution.

  - `failedSolutions` (array, required)
    List of failed solutions.

  - `failedSolutions.partnerAppId` (string, required)
    The unique ID of the Tech Provider Meta App.

  - `failedSolutions.errorCode` (string, required)
    Error code allows to programmatically handle errors.
    Enum: "ACTIVATION_FAILED", "CREATION_FAILED", "UNRECOGNIZED"

  - `failedSolutions.errorMessage` (string)
    Human readable message.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_found

  - `message` (string)
    Human readable message.
    Example: Project not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the projectId is correct.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 201 examples:

  - `Create response` (unknown)
    Response when successfully creating a solution.

